View Issue Details

IDProjectCategoryView StatusLast Update
0000355luatexfeature requestpublic2015-10-19 20:05
ReporterHans HagenAssigned ToHans Hagen 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.80.0Fixed in Version0.80.2 
Summary0000355: adjustlevel 3 / no kern scaling
Descriptioncurrently we have

adjustlevel == 1 : only scaling in the backend (glyphs and kerns)
adjustlevel == 2 : scaling taken into acccount in par builder (glyphs and kerns)

the parbuilder (and hpack) code treats glyphs as well as intercharacter kerns (using some -redundant- test on the kern table of the surrounding glyphs (the hpack routine duplicates some work of the parbuilder)

as no other spacing is taken into acount, and as it is debatable if scaling the kerns is a good idea, we need a third variant:

adjustlevel == 3 : scaling taken into acccount in par builder (glyphs)


TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-03-24 14:49 Hans Hagen New Issue
2010-03-24 14:49 Hans Hagen Status new => assigned
2010-03-24 14:49 Hans Hagen Assigned To => Taco
2010-03-25 12:23 Taco Severity minor => feature
2010-03-27 08:58 Taco Target Version => 0.70.0
2011-04-12 11:09 Taco Target Version 0.70.0 => 0.80.0
2013-12-20 12:34 Hans Hagen Assigned To Taco => Hans Hagen
2015-10-19 20:05 Hans Hagen Status assigned => closed
2015-10-19 20:05 Hans Hagen Resolution open => fixed
2015-10-19 20:05 Hans Hagen Fixed in Version => 0.80.2